package org.springblade.enterprise.feign;

import org.springblade.enterprise.entity.Enterprise;
import org.springblade.enterprise.vo.EnterpriseVO;
import org.springframework.stereotype.Component;
import java.util.List;

@Component
public class EnterpriseClientFallback implements IEnterpriseClient {
            /**
         * 详情
         */
        @Override
        public EnterpriseVO detail(Enterprise enterprise) {
            return null;
        }

	@Override
	public Enterprise getById(Long id) {
		return null;
	}

	/**
         * 查询
         */
        @Override
        public List<EnterpriseVO> list(Enterprise enterprise) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Enterprise enterprise) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Enterprise enterprise) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Enterprise enterprise) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public List<Enterprise> listForOrg(List<Object> params) {
		return null;
	}

	@Override
	public Integer count(String tenantId) {
		return null;
	}


}
